job "consul" {
  schedule = "0 * * * *"

  config {
    repo = "rclone::ftp,env_auth:/nomad/consul"
    passphrase = env("BACKUP_PASSPHRASE")
  }

  task "Use consul snapshots" {
    pre_script {
      on_backup = "mkdir -p /local/consul"
    }
    pre_script {
      on_backup = "consul snapshot save /local/consul/backup.snap"
    }
    post_script {
      on_restore = "consul snapshot restore /local/consul/backup.snap"
    }
  }

  backup {
    paths = ["/local/consul"]
    # Because path is absolute
    restore_opts {
      Target = "/"
    }
  }

  forget {
    KeepLast = 2
    KeepHourly = 24
    KeepDaily = 30
    KeepWeekly = 8
    KeepMonthly = 6
    KeepYearly = 2
    Prune = true
  }
}
