job "lldap" {
  schedule = "@daily"

  config {
    repo = "rclone::ftp,env_auth:/nomad/lldap"
    passphrase = env("BACKUP_PASSPHRASE")
  }

  sqlite "Backup database" {
    path    = "/data/lldap/users.db"
    dump_to = "/data/lldap/users.db.bak"
  }

  backup {
    paths = ["/data/lldap"]
    # Because path is absolute
    restore_opts {
      Target = "/"
    }
  }

  forget {
    KeepLast = 2
    KeepDaily = 30
    KeepWeekly = 8
    KeepMonthly = 6
    KeepYearly = 2
    Prune = true
  }
}
