job "nextcloud" {
  schedule = "0 * * * *"

  config {
    repo = "rclone::ftp,env_auth:/nomad/nextcloud"
    passphrase = env("BACKUP_PASSPHRASE")
  }

  mysql "Backup database" {
    hostname       = env("MYSQL_HOST")
    port           = env("MYSQL_PORT")
    database       = env("MYSQL_DATABASE")
    username       = env("MYSQL_USER")
    password       = env("MYSQL_PASSWORD")
    no_tablespaces = true
    dump_to        = "/local/dump.sql"
  }

  backup {
    paths = ["/data/nextcloud"]
    # Because path is absolute
    restore_opts {
      Target = "/"
    }
  }

  forget {
    KeepHourly = 24
    KeepDaily = 30
    KeepWeekly = 8
    KeepMonthly = 6
    KeepYearly = 2
    Prune = true
  }
}
