job "sonarr" {
  schedule = "@daily"

  config {
    repo = "rclone::ftp,env_auth:/nomad/sonarr"
    passphrase = env("BACKUP_PASSPHRASE")
  }

  backup {
    # Not dunping sqlite because sonarr makes dumps
    paths = ["/data/sonarr"]
    # Because path is absolute
    restore_opts {
      Target = "/"
    }
  }

  forget {
    KeepLast = 2
    KeepDaily = 30
    KeepWeekly = 8
    KeepMonthly = 6
    KeepYearly = 2
    Prune = true
  }
}
