resource "consul_service" "homeassistant" {
  name = "hass"
  node = consul_node.homeassistant.name
  port = 8123
  tags = [
    "traefik.enable=true",
    "traefik.consulcatalog.connect=false",
    "traefik.http.routers.hass.entryPoints=websecure",
  ]

  check {
    check_id = "homeassistant:hass"
    status   = "passing"
    name     = "Home Assistant Health Check"
    http     = "192.168.3.65:8123"
    interval = "30s"
    timeout  = "10s"
  }
}

resource "consul_node" "homeassistant" {
  name    = "homeassistant"
  address = "192.168.3.65"

  meta = {
    "external-node"  = "true"
    "external-probe" = "true"
  }
}
